--[[
    How to add images?
        - Put your images tino LUI Media's sub-directories.
        - Open Houston.exe which is in your WildStar Directory.
        - Go to "File" -> "Open" to open one of these files, depending on which type of sprite you want to add:
            - animations.xml
            - bars.xml
            - borders.xml
            - forms.xml
            - icons.xml
            - spells.xml
            - text.xml
        - After you opened the file, click on the New Sprite Button (which looks like an image of a landscape - 6th button from right)
        - Next click on File Browser, import your desired image and give your sprite a fitting name.
        - Make sure the image you are importing is located within LUI Media's sub-directories.
        - Now move the brown square buttons like on the image "stretchy.jpg" which is in the addon directory.
        - Check the "Stretchy" Checkbox.
        - Save the XML file.
        - Add another entry to the list of sprites in this file. (don't forget the comma at the end)
        - Save this file and restart wildstar.

    How to add sounds?
        - Open Houston.exe which is located in your WildStar Directory.
        - Create a new addon! (Name and Author can be anything).
        - Go to Includes -> Edit Sound and add your audio files (can be .wav or .mp3)
        - You can find the converted audio files within the addon directory of your newly created addon.
        - Now move your converted audio file into LUI Medias's sounds subdirectory (Addons/LUI_Media/sounds)
        - Add another entry to the list of soundfiles.
            - Example: ["test"] = "test.wav",  (don't forget the comma at the end)
        - Save this file and restart wildstar.
]]

local LUI_Media = {}

function LUI_Media:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self
    self.media = {
    	["icons"] = {
            "tick_outline",
    	},
    	["spells"] = {
            -- "spritename",
    	},
        ["animations"]= {
            -- "spritename",
        },
    	["forms"] = {
            -- "spritename",
    	},
    	["text"] = {
            -- "spritename",
    	},
    	["bars"] = {
            ["linear"] = {
                -- "spritename",
            },
            ["radial"] = {
                -- "spritename",
            },
    	},
        ["borders"] = {
            -- "spritename",
        },
    	["sounds"] = {
    		-- ["Name of Soundfile"] = "filename.wav",
    	},
	}
    return o
end

function LUI_Media:Init()
	Apollo.RegisterAddon(self, false, "LUI Media", nil)
end

function LUI_Media:OnLoad()
	Apollo.LoadSprites("icons.xml")
	Apollo.LoadSprites("bars.xml")
	Apollo.LoadSprites("forms.xml")
	Apollo.LoadSprites("text.xml")
	Apollo.LoadSprites("spells.xml")
    Apollo.LoadSprites("borders.xml")
    Apollo.LoadSprites("animations.xml")
end

function LUI_Media:Load(category)
    if type(category) == "string" then
    	if self.media[category] then
    		return self.media[category]
    	end
    elseif type(category) == "table" then
        if self.media[category[1]] and self.media[category[1]][category[2]] then
            return self.media[category[1]][category[2]]
        end
    end
end

local LUI_MediaInst = LUI_Media:new()
LUI_MediaInst:Init()
